---
layout: default
title: GitLab Learn - Continuous Delivery
description: "Build your GitLab knowledge in Continuous Delivery with GitLab Learn."
suppress_header: true
cta_contact_title: "Believe it"
cta_contact_subtitle: "Get unlimited access to all GitLab features for 30 days. "
cta_contact_button_primary_text: "Start your free trial"
cta_contact_button_primary_url: "/free-trial/"
cta_contact_button_secondary_text: "Contact Sales"
cta_contact_button_secondary_url: "/sales/"
cta_contact_sales_css_class: "lavender"
cta_contact_button_secondary_css_class: "lavender"
disable_default_styles: true
disable_handbook_styles: true
manual_cookiebot: true
canonical_path: "/snapshots/continuous-delivery/"
extra_css:
  - gitlab-learn-topic.css
  - gitlab-topic.css
  - video-carousel.css
extra_js:
  - libs/slick.min.js
  - video-carousel.js
---

.container.slp-container.header-content
  %h1
    GitLab Continuous Delivery (CD)
  %h4
    Learn new skills while working with GitLab. Our easy-to-use learning platform provides instructions and feedback throughout your journey!

.container.slp-container.background-color
  .grey-background
  .resources
    %h2
      Watch and Learn
    .learn
      .resource-block
        .single-video-slider
          - data.video_carousel.each do |video|
            -if video.carousel_identifier.include?("CD Learn Carousel")
              = partial "includes/components/video-carousel/video-item", locals: {name: video.name, title: video.title, company: video.company, photourl: video.photourl, videolink: video.video_link}
        .youtube-link 
          %a{:href => 'https://www.youtube.com/watch?v=fWvwkx5_00E&list=PLFGfElNsQthYDx0A_FaNNfUm9NHsK6zED'} Explore Quick GitLab Tutorials →
      .resource-block.resource-links
        .resource
          .icon 
            %img{src: "/images/ci/webcasts-icon.svg", alt: "Webcast icon", style: "max-width: 40px"}
          .text
            %h4.title
              Free Tutorials
            .link 
              %a{:href => 'https://youtu.be/QArt7rqfbqk'} GitLab CD overview demo
              %span.arrow-head →
            .link 
              %a{:href => 'https://www.youtube.com/embed/ZAYBxLLcZrM'} Incremental Rollouts
              %span.arrow-head →
            .link 
              %a{:href => 'https://www.youtube.com/embed/blJT8f6ZDH8'} Automated and Integrated CD
              %span.arrow-head →
        .resource
          .icon 
            %img{src: "/images/ci/whitepapers-icon.svg", alt: "Whitepapers icon", style: "max-width: 40px"}
          .text
            %h4.title
              Learning Paths
            .link
              %a{:href => 'https://gitlab.edcast.com/pathways/cy-test-pathway-associate-study-exam'} GitLab Certified Associate
              %span.arrow-head →
            .link 
              %a{:href => 'https://gitlab.edcast.com/pathways/cy-test-pathway-associate-study-exam'} GitLab Certified CI/CD Specialist
              %span.arrow-head →
            .link 
              %a{:href => 'https://gitlab.edcast.com/insights/gitlab-learn-lab#'} Advanced GitLab CI
              %span.arrow-head →
        .resource
          .icon 
            %img{src: "/images/ci/casestudies-icon.svg", alt: "Case studies icon", style: "max-width: 40px"}
          .text
            %h4.title
              Hands-on Training
            .link 
              %a{:href => '/services/education/gitlab-basics'} GitLab with Git Basics Training
              %span.arrow-head →
            .link 
              %a{:href => '/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-devops-professional'} GitLab Certified DevOps Professional
              %span.arrow-head →
            .link 
              %a{:href => '/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/#gitlab-certified-cicd-specialist'} GitLab Certified CI/CD Specialist
              %span.arrow-head →
        .resource
          .icon 
            %img{src: "/images/ci/reports-icon.svg", alt: "Reports icon", style: "max-width: 40px"}
          .text
            %h4.title
              Recent Release Videos
            .link 
              %a{:href => 'https://youtu.be/GSQ1ea5N0pE'} Gitlab 14: Cluster management project template
              %span.arrow-head →
            .link 
              %a{:href => 'https://youtu.be/bLr_qAnHAHU'} Gitlab 13.12: YAML include wildcard, CI/CD info in pipeline editor, group-level deployment freq chart
              %span.arrow-head →

.pricing-page

  .container.slp-container#faq
    .row.faq.text-center.u-padding-top-md.u-padding-bottom-md
      %h2.text-center CD Training & Resources
      .faq-holder.text-left
        = partial 'includes/learn/cd-resources'
  
  .solutions-block.image.image-1
    %img{src: "/images/learn/shared/gitlab-home-office.png", alt: "GitLab Home Office", loading: "lazy"} 

.container.slp-container.info-block
  %h2.title
    Start Learning Now!
  .description 
    Log off and let GitLab’s CI/CD do the heavy lifting with automated workflows for compiling, testing, and staging. From jobs to issues, search it all from a single dashboard that doesn’t quit. We exist to help you work less. 
  %a.btn.cta-btn.orange-light{:href => 'https://about.gitlab.com/blog/2017/03/13/ci-cd-demo/'} Watch demo
    

#ask-us-anything
  .u-padding-top-md
    .container.container2020
      = partial "includes/components/cta-contact"

- data.video_carousel.each do |video|
  -if video.carousel_identifier.include?("CD Learn Carousel")
    = partial "includes/components/video-carousel/video-carousel-modal", locals: {videolink: video.video_link, title: video.title}



